package ru.ldeloff.testspringwebdav.config;

import io.milton.http.fs.NullSecurityManager;
import io.milton.servlet.DefaultMiltonConfigurator;
import org.springframework.context.annotation.Configuration;

@Configuration
public class MiltonConfig extends DefaultMiltonConfigurator {
    private final NullSecurityManager securityManager;

    public MiltonConfig() {
        this.securityManager = new NullSecurityManager();
    }

    @Override
    protected void build() {
        builder.setSecurityManager(securityManager);
        super.build();
    }
}