package ru.ldeloff.testspringwebdav.model;

import io.milton.annotations.CreatedDate;
import io.milton.annotations.Name;
import io.milton.annotations.UniqueId;

import java.util.Date;

public class WebDavFolder {
    private String name;
    private Date createdDate;

    public WebDavFolder(String name) {
        this.name = name;
    }

    @Name
    public String getName() {
        return name;
    }

    @UniqueId
    public String getUniqueId() {
        return name;
    }

    @CreatedDate
    public Date getCreatedDate() {
        return createdDate;
    }
}
